"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * Line Props
 */

/**
 * This component can be used to render or vertical lines with customized thickness (height, width)
 * @param {LineProps} props
 * @returns
 */
const Line = ({
  thickness = 1,
  color = '#D3D3D3',
  length = '100%',
  orientation = 'horizontal',
  margin = 0
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: [{
      height: orientation === 'horizontal' ? thickness : length,
      backgroundColor: color,
      width: orientation === 'horizontal' ? length : thickness
    }, orientation === 'horizontal' && {
      marginHorizontal: margin
    }, orientation === 'vertical' && {
      marginVertical: margin
    }]
  });
};

/**
 * Export
 */
var _default = exports.default = Line;
//# sourceMappingURL=Line.js.map