"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));
var _Spacer = _interopRequireDefault(require("../divider/Spacer.js"));
var _theme = require("../../../assets/theme.js");
var _Heading = _interopRequireDefault(require("../typograph/Heading.js"));
var _index = require("../divider/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Header = ({
  headerMiddle,
  headerText,
  underline = false,
  btnBackColor,
  onBackPress,
  style,
  rightContent,
  titleConfig
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  btnBackColor = btnBackColor || theme.adaptbyte.colors.shade.black;
  const navigationBack = () => {
    onBackPress?.();
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: [styles.container, style],
      children: [onBackPress ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        onPress: navigationBack,
        style: [styles.leftContainer],
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Feather.default, {
          name: 'arrow-left',
          size: theme.adaptbyte.length.length_24,
          color: btnBackColor
        })
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spacer.default, {
        flex: 1
      }), headerText && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: {
          marginLeft: _theme.SPACING.space_16
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Heading.default, {
          text: headerText,
          variant: "h6",
          weight: "bold",
          align: "center",
          ...titleConfig
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spacer.default, {
        width: _theme.SPACING.space_16
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: styles.centerContainer,
        children: typeof headerMiddle === 'string' ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Heading.default, {
          color: theme.adaptbyte.colors.grayscale._703,
          text: headerMiddle,
          variant: "h6-small",
          weight: "bold",
          align: "center",
          style: {
            marginLeft: -theme.adaptbyte.spacing.space_32
          },
          ...titleConfig
        }) : headerMiddle
      }), rightContent && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: styles.rightContainer,
        children: rightContent
      })]
    }), underline && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Line, {})
    })]
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingVertical: theme.adaptbyte.spacing.space_16,
    paddingHorizontal: theme.adaptbyte.spacing.space_16
  },
  leftContainer: {},
  rightContainer: {
    right: 0
  },
  centerContainer: {
    flex: 8,
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center'
  },
  rounded: {
    height: theme.adaptbyte.length.length_60,
    width: theme.adaptbyte.length.length_60,
    borderRadius: theme.adaptbyte.borderRadius.radius_50,
    justifyContent: 'center',
    alignItems: 'center'
  },
  headerText: {
    marginLeft: theme.adaptbyte.spacing.space_8,
    fontSize: theme.adaptbyte.typography.paragraph['text-02'].fontSize,
    color: theme.adaptbyte.colors.shade.black
  },
  underline: {
    paddingHorizontal: theme.adaptbyte.spacing.space_16
  }
}));
var _default = exports.default = Header;
//# sourceMappingURL=Header.js.map