"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Display = /*#__PURE__*/_react.default.forwardRef(({
  variant = '01',
  weight = 'light',
  text,
  color,
  align = 'left',
  style,
  fontStyle = 'normal',
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    ref: ref,
    style: [styles[variant], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, style],
    ...props,
    children: text
  });
});
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  /**
   * Variants
   */
  '01': theme.adaptbyte.typography.display['01'],
  '02': theme.adaptbyte.typography.display['02']
}));
var _default = exports.default = Display;
//# sourceMappingURL=Display.js.map