"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Heading = /*#__PURE__*/(0, _react.forwardRef)(({
  variant = 'h1',
  weight = 'light',
  text,
  color,
  align = 'left',
  style: styleOverride,
  fontStyle = 'normal',
  textDecorationLine,
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    ref: ref,
    style: [styles[variant], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      textDecorationLine,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, styleOverride],
    ...props,
    children: text
  });
});
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  /**
   * Variants
   */
  'h1': theme.adaptbyte.typography.heading.h1,
  'h1-small': theme.adaptbyte.typography.heading['h1-small'],
  'h2': theme.adaptbyte.typography.heading.h2,
  'h2-small': theme.adaptbyte.typography.heading['h2-small'],
  'h3': theme.adaptbyte.typography.heading.h3,
  'h3-small': theme.adaptbyte.typography.heading['h3-small'],
  'h4': theme.adaptbyte.typography.heading.h4,
  'h4-small': theme.adaptbyte.typography.heading['h4-small'],
  'h5': theme.adaptbyte.typography.heading.h5,
  'h5-small': theme.adaptbyte.typography.heading['h5-small'],
  'h6': theme.adaptbyte.typography.heading.h6,
  'h6-small': theme.adaptbyte.typography.heading['h6-small']
}));
var _default = exports.default = Heading;
//# sourceMappingURL=Heading.js.map