"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Paragraph = /*#__PURE__*/(0, _react.forwardRef)(({
  text,
  weight = 'light',
  color,
  variant = '01',
  align = 'left',
  textDecorationLine,
  fontStyle = 'normal',
  style: styleOverride,
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    ref: ref,
    style: [styles[`text-${variant}`], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      textDecorationLine,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, styleOverride],
    ...props,
    children: text
  });
});
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  /**
   * Variants
   */
  'text-00': theme.adaptbyte.typography.paragraph['text-00'],
  'text-01': theme.adaptbyte.typography.paragraph['text-01'],
  'text-02': theme.adaptbyte.typography.paragraph['text-02'],
  'text-03': theme.adaptbyte.typography.paragraph['text-03'],
  'text-Subheading': theme.adaptbyte.typography.paragraph['text-Subheading'],
  'text-Caption': theme.adaptbyte.typography.paragraph['text-Caption'],
  'text-Footer': theme.adaptbyte.typography.paragraph['text-Footer'],
  'text-Tags': theme.adaptbyte.typography.paragraph['text-Tags'],
  'text-undefined': {}
}));
var _default = exports.default = Paragraph;
//# sourceMappingURL=Paragraph.js.map