"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _index = require("../../atom/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TextButton = ({
  title,
  size = 'default',
  underline,
  weight = 'bold',
  textColor,
  disabled,
  onPress,
  style,
  fontSize,
  textConfig,
  ...props
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  const textStyle = _reactNative.StyleSheet.flatten([fontSize ? {
    fontSize
  } : styles[`text-size-${size}`], styles[`text-weight-${weight}`], underline && {
    textDecorationLine: 'underline'
  }, {
    color: disabled ? theme.adaptbyte.colors.link.disabled : textColor ?? theme.adaptbyte.colors.button.primary
  }]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Pressable, {
    onPress: onPress,
    disabled: disabled,
    style: ({
      pressed
    }) => [styles.container, pressed && {
      opacity: 0.5
    }, style],
    ...props,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Typography.Paragraph, {
      style: textStyle,
      text: title,
      ...textConfig
    })
  });
};
var _default = exports.default = TextButton;
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  'container': {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  },
  'text-weight-bold': {
    fontFamily: theme.adaptbyte.font.normal.bold
  },
  'text-weight-medium': {
    fontFamily: theme.adaptbyte.font.normal.medium
  },
  'text-size-small': {
    fontSize: theme.adaptbyte.typography.paragraph['text-02'].fontSize
  },
  'text-size-default': {
    fontSize: theme.adaptbyte.typography.paragraph['text-03'].fontSize
  }
}));
//# sourceMappingURL=TextButton.js.map