"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome5"));
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Checkbox = ({
  isChecked,
  customCheckedIcon,
  width = 18,
  height = 18,
  exCheckedStyle,
  exUnCheckedStyle,
  activeBgColor,
  ...props
}) => {
  const {
    theme,
    styles
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  width = width || theme.adaptbyte.length.length_18;
  height = height || theme.adaptbyte.length.length_18;
  activeBgColor = activeBgColor || theme.adaptbyte.colors.button.primary;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: isChecked ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      style: [styles.container, styles.checked, {
        width,
        height,
        backgroundColor: activeBgColor
      }, exCheckedStyle],
      ...props,
      children: customCheckedIcon ? customCheckedIcon : /*#__PURE__*/(0, _jsxRuntime.jsx)(_FontAwesome.default, {
        name: "check",
        size: 12,
        color: theme.adaptbyte.colors.shade.white
      })
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      style: [styles.container, styles.unChecked, {
        width,
        height
      }, exUnCheckedStyle],
      ...props
    })
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  container: {
    borderRadius: 5
  },
  checked: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  unChecked: {
    backgroundColor: theme.adaptbyte.colors.primaryWhiteHex,
    borderColor: theme.adaptbyte.colors.grayBorder,
    borderWidth: 1
  }
}));
var _default = exports.default = Checkbox;
//# sourceMappingURL=Checkbox.js.map