"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../form/index.js");
var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));
var _reactNative = require("react-native");
var _theme = require("../../../assets/theme.js");
var _index2 = require("../button/index.js");
var _index3 = require("../picker/index.js");
var _index4 = require("../../atom/index.js");
var _index5 = require("../modals/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Component prop
 *
 * @interface InputDateProps
 * @typedef {InputDateProps}
 * @extends {InputProps}
 */

/**
 * Component
 * @param param0
 * @returns
 */const DateBottomSheet = ({
  onSelectDate = () => {},
  onSelectTimeslot,
  selectedDate,
  selectedTimeSlot,
  isUseTimeSlot,
  isUsePickerDate = true,
  calendarConfig,
  timeslotConfig = {
    slots: ['08:00AM - 12:00PM', '02:00PM - 05:00PM']
  },
  submitText = 'Continue',
  onSubmit
}) => {
  const [date, setDate] = (0, _react.useState)(selectedDate);
  const [slot, setSlot] = (0, _react.useState)(undefined);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    children: [isUsePickerDate && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.CalendarPicker, {
        dateValue: selectedDate ?? '',
        onDateChange: setDate,
        ...calendarConfig
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.Spacer, {
        height: _theme.SPACING.space_16
      })]
    }), isUseTimeSlot && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.Paragraph, {
        weight: "bold",
        variant: "02",
        text: "Time Slot"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.Spacer, {
        height: _theme.SPACING.space_16
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.TimeslotPicker, {
        selectedSlot: selectedTimeSlot,
        onSelect: setSlot,
        ...timeslotConfig
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.Spacer, {
      height: _theme.SPACING.space_12
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.Button, {
      disabled: false,
      title: submitText,
      onPress: () => {
        if (typeof onSelectDate === 'function') {
          onSelectDate(date);
        }
        if (typeof onSelectTimeslot === 'function') {
          onSelectTimeslot(slot);
        }
        if (typeof onSubmit === 'function') {
          onSubmit();
        }
      }
    })]
  });
};
function InputDate({
  defaultBottomSheetVisible,
  dateValue,
  title,
  config,
  ...props
}) {
  const [isBottomSheetVisible, setBottomSheetVisible] = (0, _react.useState)(false);
  const {
    theme
  } = (0, _reactNativeUnistyles.useStyles)();
  (0, _react.useEffect)(() => {
    if (typeof defaultBottomSheetVisible === 'boolean') {
      setBottomSheetVisible(defaultBottomSheetVisible);
    }
  }, [defaultBottomSheetVisible]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Input, {
      defaultValue: dateValue,
      isPressable: true,
      onPress: () => setBottomSheetVisible(!isBottomSheetVisible),
      rightIcon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Feather.default, {
        name: "calendar",
        color: theme.adaptbyte.colors.grayscale._500,
        size: theme.adaptbyte.length.length_20
      }),
      ...props
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index5.BottomSheet, {
      isVisible: isBottomSheetVisible,
      title: title,
      onClosePress: () => setBottomSheetVisible(false),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(DateBottomSheet, {
        ...config,
        onSubmit: () => {
          config?.onSubmit?.();
          setBottomSheetVisible(false);
        }
      })
    })]
  });
}
var _default = exports.default = InputDate;
//# sourceMappingURL=InputDate.js.map