"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
var _theme = require("../../../assets/theme.js");
var _InputStyle = require("./Input.style.js");
var _index = require("../../atom/index.js");
var _index2 = require("../form/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 *
 * @param {InputPhoneNumberProps}
 * @returns
 */const InputPhoneNumber = ({
  onChangeText,
  onBlur,
  onPressCountry,
  chevronDownColor,
  phoneNumberRegex = /^[1-9][0-9]{7,9}$/,
  countryImg = /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Image, {
    style: {
      width: _theme.LENGTH.length_24,
      height: _theme.LENGTH.length_16
    },
    source: require('../../../assets/image/webp/malaysia_flag.webp')
  }),
  phoneCodeConfig = {
    text: '+60'
  },
  placeholder = 'Phone Number',
  exTextInputStyle = {},
  variant = 'transparent',
  style = {},
  isArrowDown,
  maxLength = 13,
  ...props
}) => {
  const [phoneNumber, setPhoneNumber] = (0, _react.useState)('');
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  const leftIcon = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    style: styles.leftIconContainer,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.TouchableOpacity, {
      style: styles.leftIconButton,
      onPress: onPressCountry,
      disabled: true,
      children: [countryImg, /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Spacer, {
        width: _theme.SPACING.space_8
      }), isArrowDown && /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_FontAwesome.default, {
          name: "chevron-down",
          color: chevronDownColor ?? (0, _InputStyle.inputVariantStyle)(theme)?.[variant]?.input?.color
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Spacer, {
        width: _theme.SPACING.space_12
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Line, {
      orientation: "vertical",
      length: _theme.LENGTH.length_42
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Spacer, {
      width: _theme.SPACING.space_12
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Paragraph, {
      variant: "01",
      weight: "extrabold",
      text: phoneCodeConfig?.text,
      color: phoneCodeConfig?.color ?? (0, _InputStyle.inputVariantStyle)(theme)?.[variant]?.input?.color,
      ...phoneCodeConfig
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Spacer, {
      width: _theme.SPACING.space_8
    })]
  });
  const onChangePhoneNumber = text => {
    setPhoneNumber(text);
    onChangeText?.(text);
  };
  const onPhoneNumberBlur = () => {
    if (!phoneNumberRegex.test(phoneNumber)) {
      onBlur?.({
        error: 'invalidPhone'
      });
    } else {
      onBlur?.();
    }
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.Input, {
    type: "table",
    keyboardType: 'phone-pad',
    style: [styles.style, style],
    maxLength: maxLength,
    onChangeText: onChangePhoneNumber,
    onBlur: onPhoneNumberBlur,
    leftIcon: leftIcon,
    placeholder: placeholder,
    exTextInputStyle: [styles.exTextInputStyle, exTextInputStyle],
    variant: variant,
    ...props
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(() => ({
  leftIconContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    height: '100%'
  },
  leftIconButton: {
    height: '100%',
    alignItems: 'center',
    flexDirection: 'row'
  },
  style: {
    justifyContent: 'center'
  },
  exTextInputStyle: {
    left: 0
  }
}));
var _default = exports.default = InputPhoneNumber;
//# sourceMappingURL=InputPhoneNumber.js.map