"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../form/index.js");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome5"));
var _index2 = require("../modals/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _reactNative = require("react-native");
var _index3 = require("../../atom/index.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Component prop
 *
 * @interface InputSelectProps
 * @typedef {InputSelectProps}
 * @extends {InputProps}
 */

/**
 * Component
 * @param param0
 * @returns
 */function InputSelect({
  onSelect,
  listData = [],
  value,
  defaultOptionVisible,
  modalType,
  renderItem,
  modalTitle,
  titleConfig,
  bottomsheetConfig,
  popupModalConfig,
  exItemsContainerStyle,
  ...props
}) {
  const [isOptionVisible, setOptionVisible] = (0, _react.useState)(false);
  const {
    theme
  } = (0, _reactNativeUnistyles.useStyles)();
  (0, _react.useEffect)(() => {
    if (typeof defaultOptionVisible === 'boolean') {
      setOptionVisible(defaultOptionVisible);
    }
  }, [defaultOptionVisible]);
  const renderItems = () => {
    return listData?.map(item => renderItem ? renderItem(item) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Typography.Paragraph, {
      onPress: () => {
        onSelect(item);
        setOptionVisible(false);
      },
      weight: "medium",
      style: {
        marginBottom: theme.adaptbyte.spacing.space_20
      },
      text: item?.name
    }, item?.name));
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Input, {
      defaultValue: value,
      isPressable: true,
      onPress: () => setOptionVisible(!isOptionVisible),
      rightIcon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_FontAwesome.default, {
        name: "chevron-down",
        color: theme.adaptbyte.colors.grayscale._500,
        size: theme.adaptbyte.length.length_20
      }),
      ...props
    }), modalType === 'bottomsheet' ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.BottomSheet, {
      onClosePress: () => setOptionVisible(false),
      title: modalTitle,
      isVisible: isOptionVisible,
      titleConfig: titleConfig,
      ...bottomsheetConfig,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [{
          marginTop: theme.adaptbyte.spacing.space_30
        }, exItemsContainerStyle],
        children: renderItems()
      })
    }) : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index2.PopupModal, {
      onBackdropPress: () => setOptionVisible(false),
      isVisible: isOptionVisible,
      ...popupModalConfig,
      children: [!!modalTitle && /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Typography.Paragraph, {
        variant: "03",
        text: modalTitle,
        weight: "bold",
        ...titleConfig
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [{
          marginTop: theme.adaptbyte.spacing.space_30
        }, exItemsContainerStyle],
        children: renderItems()
      })]
    })]
  });
}
var _default = exports.default = InputSelect;
//# sourceMappingURL=InputSelect.js.map