"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeUnistyles = require("react-native-unistyles");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ToggleButton = ({
  isActive,
  style,
  activeBgColor,
  inactiveBgColor,
  exInnerStyle,
  ...props
}) => {
  const {
    theme,
    styles
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  activeBgColor = activeBgColor || theme.adaptbyte.colors.button.primary;
  inactiveBgColor = inactiveBgColor || theme.adaptbyte.colors.grayBorder;

  // Shared value for X translation
  const translateX = (0, _reactNativeReanimated.useSharedValue)(6);
  (0, _react.useEffect)(() => {
    translateX.value = (0, _reactNativeReanimated.withTiming)(isActive ? 10 : -9, {
      duration: 200
    });
  }, [isActive, translateX]);
  const animatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateX: translateX.value
    }]
  }));
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
    activeOpacity: 0.8,
    style: [{
      backgroundColor: isActive ? activeBgColor : inactiveBgColor
    }, styles.outerShape, style, styles.container],
    ...props,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeReanimated.default.View, {
      style: [styles.innerCircle, animatedStyle, exInnerStyle]
    })
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  container: {
    width: theme.adaptbyte.length.length_50,
    height: theme.adaptbyte.length.length_30
  },
  outerShape: {
    borderRadius: theme.adaptbyte.borderRadius.radius_20,
    justifyContent: 'center',
    alignItems: 'center'
  },
  innerCircle: {
    width: theme.adaptbyte.length.length_20,
    height: theme.adaptbyte.length.length_20,
    borderRadius: theme.adaptbyte.borderRadius.radius_10,
    backgroundColor: theme.adaptbyte.colors.shade.white,
    position: 'absolute'
  }
}));
var _default = exports.default = ToggleButton;
//# sourceMappingURL=ToggleButton.js.map