"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _theme = require("../../../assets/theme.js");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _reactNativeGestureHandler = require("react-native-gesture-handler");
var _AntDesign = _interopRequireDefault(require("react-native-vector-icons/AntDesign"));
var _index = require("../../atom/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/* eslint-disable react-native/no-inline-styles */

const {
  height
} = _reactNative.Dimensions.get('window');
const BottomSheet = ({
  isVisible,
  title = '',
  variant = 'closeButton',
  children,
  overlay = true,
  onClosePress,
  usingKeyboardAvoidingView = false,
  closeOnOverlayPress = true,
  titleConfig,
  style,
  customCloseIcon
}) => {
  const {
    styles
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  const [keyboardHeight, setKeyboardHeight] = _react.default.useState(0);
  const [initialHeight, setInitialHeight] = _react.default.useState(0);
  const additionalHeight = 30;
  const translateY = (0, _reactNativeReanimated.useSharedValue)(0);
  const context = (0, _reactNativeReanimated.useSharedValue)({
    y: 0
  });
  const MAX_HEIGHT = height - 50;
  const MAX_TRANSLATE_Y = height - MAX_HEIGHT;
  const keyboardViewHeight = _reactNative.Platform.select({
    ios: usingKeyboardAvoidingView ? keyboardHeight : 0,
    android: 0
  }) ?? 0;
  const gesture = _reactNativeGestureHandler.Gesture.Pan().onStart(() => {
    'worklet';

    context.value = {
      y: translateY.value
    };
  }).onUpdate(event => {
    'worklet';

    translateY.value = event.translationY + context.value.y;
    translateY.value = Math.max(translateY.value, MAX_TRANSLATE_Y);
  }).onEnd(e => {
    'worklet';

    const isFastDownSwipe = e.velocityY > 1000;
    const isToBottomSwipe = height - translateY.value < 100;
    const isDownSwipe = height - e.absoluteY + 50 < initialHeight;
    // Close Modal when user fast down swipe or user half swipe down or swipe to bottom
    if (typeof onClosePress === 'function' && (isToBottomSwipe || isFastDownSwipe)) {
      return translateY.value = (0, _reactNativeReanimated.withTiming)(height, {}, () => {
        (0, _reactNativeReanimated.runOnJS)(onClosePress)?.();
      });
    }

    // User swipe down modal but not close it will back to initial position
    if (isDownSwipe) {
      return translateY.value = height - initialHeight;
    }
    return;
  });
  const reSheetStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    const getTransform = () => {
      let position = translateY.value;
      if (keyboardHeight > 0) {
        position -= keyboardViewHeight + additionalHeight;
      }

      // Set Max height for modal
      if (height - position > MAX_HEIGHT) {
        return MAX_TRANSLATE_Y;
      }
      return position;
    };
    return {
      transform: [{
        translateY: getTransform()
      }]
    };
  });
  const styleCloseButton = () => {
    if (keyboardViewHeight > 0) {
      return {
        paddingBottom: keyboardViewHeight + additionalHeight
      };
    }
    return {
      paddingBottom: 30
    };
  };
  const handleLayout = event => {
    const {
      height: measuredHeight
    } = event.nativeEvent.layout;
    setInitialHeight(measuredHeight + 100);
  };
  _react.default.useEffect(() => {
    if (isVisible) {
      translateY.value = (0, _reactNativeReanimated.withTiming)(height - initialHeight, {
        duration: 500
      });
    } else {
      translateY.value = (0, _reactNativeReanimated.withTiming)(height, {
        duration: 500
      });
      _reactNative.Keyboard.dismiss();
    }
  }, [initialHeight, isVisible, translateY]);
  _react.default.useEffect(() => {
    const onKeyboardShow = event => setKeyboardHeight(event.endCoordinates.height);
    const onKeyboardHide = () => setKeyboardHeight(0);
    const showListener = _reactNative.Keyboard.addListener('keyboardDidShow', onKeyboardShow);
    const hideListener = _reactNative.Keyboard.addListener('keyboardDidHide', onKeyboardHide);
    return () => {
      showListener.remove();
      hideListener.remove();
    };
  }, []);
  if (variant === 'normal') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeGestureHandler.GestureHandlerRootView, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Modal, {
          transparent: true,
          visible: isVisible,
          animationType: "fade",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
            onPress: closeOnOverlayPress ? onClosePress : undefined,
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
              style: [styles.overlay, {
                backgroundColor: overlay ? 'rgba(0,0,0,0.3)' : 'transparent'
              }],
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeGestureHandler.GestureDetector, {
                gesture: gesture,
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
                  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeReanimated.default.View, {
                    // style={[styles.bottomSheet, { transform: [{ translateY }] }]}
                    // {...panResponder.panHandlers}
                    style: [reSheetStyle],
                    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
                      style: [styles.container, {
                        height
                      }, style],
                      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
                        style: styles.line
                      }), title && /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Paragraph, {
                        style: {
                          marginTop: _theme.SPACING.space_8
                        },
                        text: title,
                        align: "center",
                        variant: "03",
                        weight: "bold",
                        ...titleConfig
                      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
                        onLayout: handleLayout,
                        children: children
                      })]
                    })
                  })
                })
              })
            })
          })
        })
      })
    });
  } else {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Modal, {
        animationType: "slide",
        transparent: true,
        visible: isVisible,
        onRequestClose: onClosePress // For Android back button
        ,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
          onPress: closeOnOverlayPress ? onClosePress : undefined,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
            style: [styles.overlay, {
              backgroundColor: overlay ? 'rgba(0,0,0,0.3)' : 'transparent'
            }],
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
                style: [styles.container, style, styleCloseButton()],
                children: [variant === 'closeButton' && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
                  onLayout: handleLayout,
                  style: styles.header,
                  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Paragraph, {
                    text: title,
                    variant: "03",
                    weight: "bold",
                    ...titleConfig
                  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
                    onPress: onClosePress,
                    children: customCloseIcon ?? /*#__PURE__*/(0, _jsxRuntime.jsx)(_AntDesign.default, {
                      name: "close",
                      size: 20,
                      color: "black"
                    })
                  })]
                }), children]
              })
            })
          })
        })
      })
    });
  }
};

/**
 * Styles
 */
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  header: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  closeIcon: {
    width: theme.adaptbyte.length.length_20,
    height: theme.adaptbyte.length.length_20
  },
  line: {
    width: theme.adaptbyte.length.length_32,
    height: theme.adaptbyte.length.length_4,
    flexShrink: 0,
    backgroundColor: theme.adaptbyte.colors.grayscale._300,
    alignSelf: 'center',
    borderRadius: theme.adaptbyte.borderRadius.radius_20,
    marginBottom: theme.adaptbyte.spacing.space_8
  },
  overlay: {
    flex: 1,
    justifyContent: 'flex-end'
  },
  container: {
    backgroundColor: theme.adaptbyte.colors.shade.white,
    borderTopRightRadius: theme.adaptbyte.borderRadius.radius_20,
    borderTopLeftRadius: theme.adaptbyte.borderRadius.radius_20,
    zIndex: 1,
    shadowOffset: {
      height: -theme.adaptbyte.length.length_2,
      width: 0
    },
    shadowOpacity: 0.05,
    elevation: theme.adaptbyte.length.length_10,
    shadowColor: 'rgba(0, 0, 0, 1)',
    paddingHorizontal: theme.adaptbyte.spacing.space_24,
    paddingTop: theme.adaptbyte.spacing.space_24,
    maxHeight: theme.adaptbyte.dimension.height - 50
  }
}));
var _default = exports.default = BottomSheet;
//# sourceMappingURL=BottomSheet.js.map