"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _Spacer = _interopRequireDefault(require("../../atom/divider/Spacer.js"));
var _Paragraph = _interopRequireDefault(require("../../atom/typograph/Paragraph.js"));
var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Popup List modal props
 */

/**
 * Popup List Modal
 * @returns {*}
 */
const PopupList = ({
  isVisible = false,
  keyName,
  listData = [],
  onSelect,
  onRequestClose,
  height = 400,
  width = 327,
  showCloseIcon = false,
  onPressClose,
  header,
  bottom,
  left,
  right,
  itemStyle
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Modal, {
    animationType: "fade",
    transparent: true,
    visible: isVisible,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
      onPress: onRequestClose,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: styles.modalContainer,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
            style: [styles.modalView, {
              height,
              width
            }],
            children: [showCloseIcon && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
              style: styles.closeBox,
              onPress: onPressClose,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Feather.default, {
                name: "x",
                size: 24,
                color: 'black'
              })
            }), showCloseIcon && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spacer.default, {
              height: theme.adaptbyte.spacing.space_16
            }), header, header && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spacer.default, {
              height: theme.adaptbyte.spacing.space_16
            }), listData?.length > 0 && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.FlatList, {
              data: listData,
              ItemSeparatorComponent: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spacer.default, {
                height: theme.adaptbyte.spacing.space_16
              }),
              keyExtractor: (item, index) => item?.id ? item?.id.toString() : index.toString(),
              initialNumToRender: 10,
              maxToRenderPerBatch: 10,
              removeClippedSubviews: true,
              getItemLayout: (_, index) => ({
                length: 50,
                // Assuming each item has a fixed height of 50
                offset: 50 * index,
                index
              }),
              renderItem: ({
                item
              }) => {
                return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.TouchableOpacity, {
                  style: [styles.itemView, itemStyle],
                  onPress: () => onSelect(item),
                  children: [left && left(item), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Paragraph.default, {
                    text: keyName ? item[keyName] : item.name,
                    weight: "medium",
                    variant: "01"
                  }), right && right(item)]
                });
              }
            }), bottom]
          })
        })
      })
    })
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  closeBox: {
    justifyContent: 'center',
    alignItems: 'flex-end',
    paddingTop: theme.adaptbyte.spacing.space_16
  },
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'rgba(0,0,0,0.5)'
  },
  modalView: {
    width: 327,
    height: 400,
    backgroundColor: theme.adaptbyte.colors.primaryWhiteHex,
    borderRadius: theme.adaptbyte.borderRadius.radius_8,
    padding: theme.adaptbyte.spacing.space_16
  },
  itemView: {}
}));

/**
 * Export
 */
var _default = exports.default = PopupList;
//# sourceMappingURL=PopupList.js.map