"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _theme = require("../../../assets/theme.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PopupModal = ({
  isVisible = false,
  usingKeyboardAvoidingView = false,
  children,
  width = 343,
  padding = _theme.SPACING.space_16,
  backgroundColor,
  styleModal,
  styleModalView,
  borderRadius = _theme.BORDERRADIUS.radius_16,
  onBackdropPress
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  backgroundColor = backgroundColor ?? theme.adaptbyte.colors.primaryWhiteHex;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Modal, {
    animationType: "slide",
    transparent: true,
    visible: isVisible,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
      onPress: typeof onBackdropPress === 'function' ? onBackdropPress : undefined,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [styles.modalContainer, styleModal],
        children: usingKeyboardAvoidingView ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.KeyboardAvoidingView, {
          behavior: _reactNative.Platform.OS === 'ios' ? 'padding' : 'height',
          keyboardVerticalOffset: 0 // Use the offset prop
          ,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
            style: [styles.modalView, {
              width,
              padding,
              backgroundColor,
              borderRadius
            }, styleModalView],
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
              style: {
                width: '100%'
              },
              children: children
            })
          })
        }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
          style: [styles.modalView, {
            width,
            padding,
            backgroundColor,
            borderRadius
          }, styleModalView],
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
            style: {
              width: '100%'
            },
            children: children
          })
        })
      })
    })
  });
};

/**
 * Styles
 */
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.adaptbyte.colors.popupBackgroundRGBA
  },
  modalView: {
    alignItems: 'center',
    justifyContent: 'center'
  }
}));

/**
 * Export
 */
var _default = exports.default = PopupModal;
//# sourceMappingURL=PopupModal.js.map