"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _reactNativeCalendars = require("react-native-calendars");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
const CalendarPicker = ({
  dateValue,
  onDateChange,
  minDate,
  ...props
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  const [selectedDate, setSelectedDate] = (0, _react.useState)(dateValue);
  const handleDayPress = day => {
    const date = day.dateString;
    setSelectedDate(date);
    onDateChange && onDateChange(date); // Notify the parent component of the selected date
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeCalendars.Calendar, {
      style: styles.container,
      onDayPress: handleDayPress,
      markingType: 'custom',
      minDate: minDate,
      theme: {
        textDayHeaderFontSize: 14,
        textDayHeaderFontWeight: '700',
        textMonthFontWeight: '700',
        dayTextColor: '#030303',
        arrowColor: '#030303'
      },
      markedDates: {
        [selectedDate]: {
          customStyles: {
            container: {
              backgroundColor: theme.adaptbyte.colors.primary._100
            },
            text: {
              color: theme.adaptbyte.colors.primary._500,
              fontFamily: theme.adaptbyte.font.normal.bold
            }
          }
        }
      },
      hideExtraDays: true,
      ...props
    })
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(() => ({
  container: {
    marginHorizontal: -15
  }
}));
var _default = exports.default = CalendarPicker;
//# sourceMappingURL=CalendarPicker.js.map