"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../../atom/index.js");
var _reactNativeUnistyles = require("react-native-unistyles");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const TimeslotPicker = ({
  slots,
  onSelect,
  selectedSlot
}) => {
  const {
    styles,
    theme
  } = (0, _reactNativeUnistyles.useStyles)(stylesheet);
  const [currentSelection, setCurrentSelection] = (0, _react.useState)(selectedSlot);
  const handleSelect = slot => {
    setCurrentSelection(slot);
    if (onSelect) {
      onSelect(slot);
    }
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: styles.container,
    children: slots.map((slot, index) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      style: [styles.slot, currentSelection === slot && styles.selectedSlot],
      onPress: () => handleSelect(slot),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Paragraph, {
        text: slot,
        weight: "medium",
        color: currentSelection === slot ? theme.adaptbyte.colors.secondary.blue500 : theme.adaptbyte.colors.primaryBlackHex
      })
    }, `view ${index}`))
  });
};
const stylesheet = (0, _reactNativeUnistyles.createStyleSheet)(theme => ({
  container: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    columnGap: theme.adaptbyte.spacing.space_16,
    alignSelf: 'center'
  },
  slot: {
    flex: 1,
    paddingVertical: theme.adaptbyte.spacing.space_12,
    paddingHorizontal: theme.adaptbyte.spacing.space_8,
    borderRadius: theme.adaptbyte.length.length_6,
    alignItems: 'center',
    borderWidth: 1,
    borderColor: theme.adaptbyte.colors.grayscale._200,
    backgroundColor: theme.adaptbyte.colors.primaryWhiteHex
  },
  selectedSlot: {
    backgroundColor: theme.adaptbyte.colors.secondary.lightBlue500
  },
  slotText: {
    fontSize: theme.adaptbyte.length.length_16,
    color: theme.adaptbyte.colors.shade.black
  },
  selectedSlotText: {
    color: theme.adaptbyte.colors.secondary.blue500
  }
}));
var _default = exports.default = TimeslotPicker;
//# sourceMappingURL=TimeslotPicker.js.map