"use strict";

import { View } from 'react-native';

/**
 * Line Props
 */
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * This component can be used to render or vertical lines with customized thickness (height, width)
 * @param {LineProps} props
 * @returns
 */
const Line = ({
  thickness = 1,
  color = '#D3D3D3',
  length = '100%',
  orientation = 'horizontal',
  margin = 0
}) => {
  return /*#__PURE__*/_jsx(View, {
    style: [{
      height: orientation === 'horizontal' ? thickness : length,
      backgroundColor: color,
      width: orientation === 'horizontal' ? length : thickness
    }, orientation === 'horizontal' && {
      marginHorizontal: margin
    }, orientation === 'vertical' && {
      marginVertical: margin
    }]
  });
};

/**
 * Export
 */
export default Line;
//# sourceMappingURL=Line.js.map