"use strict";

import { TouchableOpacity, View } from 'react-native';
import Icon from 'react-native-vector-icons/Feather';
import Spacer from "../divider/Spacer.js";
import { SPACING } from "../../../assets/theme.js";
import Heading from "../typograph/Heading.js";
import { Line } from "../divider/index.js";
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const Header = ({
  headerMiddle,
  headerText,
  underline = false,
  btnBackColor,
  onBackPress,
  style,
  rightContent,
  titleConfig
}) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  btnBackColor = btnBackColor || theme.adaptbyte.colors.shade.black;
  const navigationBack = () => {
    onBackPress?.();
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs(View, {
      style: [styles.container, style],
      children: [onBackPress ? /*#__PURE__*/_jsx(TouchableOpacity, {
        onPress: navigationBack,
        style: [styles.leftContainer],
        children: /*#__PURE__*/_jsx(Icon, {
          name: 'arrow-left',
          size: theme.adaptbyte.length.length_24,
          color: btnBackColor
        })
      }) : /*#__PURE__*/_jsx(Spacer, {
        flex: 1
      }), headerText && /*#__PURE__*/_jsx(View, {
        style: {
          marginLeft: SPACING.space_16
        },
        children: /*#__PURE__*/_jsx(Heading, {
          text: headerText,
          variant: "h6",
          weight: "bold",
          align: "center",
          ...titleConfig
        })
      }), /*#__PURE__*/_jsx(Spacer, {
        width: SPACING.space_16
      }), /*#__PURE__*/_jsx(View, {
        style: styles.centerContainer,
        children: typeof headerMiddle === 'string' ? /*#__PURE__*/_jsx(Heading, {
          color: theme.adaptbyte.colors.grayscale._703,
          text: headerMiddle,
          variant: "h6-small",
          weight: "bold",
          align: "center",
          style: {
            marginLeft: -theme.adaptbyte.spacing.space_32
          },
          ...titleConfig
        }) : headerMiddle
      }), rightContent && /*#__PURE__*/_jsx(View, {
        style: styles.rightContainer,
        children: rightContent
      })]
    }), underline && /*#__PURE__*/_jsx(View, {
      children: /*#__PURE__*/_jsx(Line, {})
    })]
  });
};
const stylesheet = createStyleSheet(theme => ({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingVertical: theme.adaptbyte.spacing.space_16,
    paddingHorizontal: theme.adaptbyte.spacing.space_16
  },
  leftContainer: {},
  rightContainer: {
    right: 0
  },
  centerContainer: {
    flex: 8,
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center'
  },
  rounded: {
    height: theme.adaptbyte.length.length_60,
    width: theme.adaptbyte.length.length_60,
    borderRadius: theme.adaptbyte.borderRadius.radius_50,
    justifyContent: 'center',
    alignItems: 'center'
  },
  headerText: {
    marginLeft: theme.adaptbyte.spacing.space_8,
    fontSize: theme.adaptbyte.typography.paragraph['text-02'].fontSize,
    color: theme.adaptbyte.colors.shade.black
  },
  underline: {
    paddingHorizontal: theme.adaptbyte.spacing.space_16
  }
}));
export default Header;
//# sourceMappingURL=Header.js.map