"use strict";

import React from 'react';
import { Text } from 'react-native';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx } from "react/jsx-runtime";
const Display = /*#__PURE__*/React.forwardRef(({
  variant = '01',
  weight = 'light',
  text,
  color,
  align = 'left',
  style,
  fontStyle = 'normal',
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/_jsx(Text, {
    ref: ref,
    style: [styles[variant], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, style],
    ...props,
    children: text
  });
});
const stylesheet = createStyleSheet(theme => ({
  /**
   * Variants
   */
  '01': theme.adaptbyte.typography.display['01'],
  '02': theme.adaptbyte.typography.display['02']
}));
export default Display;
//# sourceMappingURL=Display.js.map