"use strict";

import React, { forwardRef } from 'react';
import { Text } from 'react-native';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx } from "react/jsx-runtime";
const Paragraph = /*#__PURE__*/forwardRef(({
  text,
  weight = 'light',
  color,
  variant = '01',
  align = 'left',
  textDecorationLine,
  fontStyle = 'normal',
  style: styleOverride,
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/_jsx(Text, {
    ref: ref,
    style: [styles[`text-${variant}`], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      textDecorationLine,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, styleOverride],
    ...props,
    children: text
  });
});
const stylesheet = createStyleSheet(theme => ({
  /**
   * Variants
   */
  'text-00': theme.adaptbyte.typography.paragraph['text-00'],
  'text-01': theme.adaptbyte.typography.paragraph['text-01'],
  'text-02': theme.adaptbyte.typography.paragraph['text-02'],
  'text-03': theme.adaptbyte.typography.paragraph['text-03'],
  'text-Subheading': theme.adaptbyte.typography.paragraph['text-Subheading'],
  'text-Caption': theme.adaptbyte.typography.paragraph['text-Caption'],
  'text-Footer': theme.adaptbyte.typography.paragraph['text-Footer'],
  'text-Tags': theme.adaptbyte.typography.paragraph['text-Tags'],
  'text-undefined': {}
}));
export default Paragraph;
//# sourceMappingURL=Paragraph.js.map