"use strict";

import React, { forwardRef } from 'react';
import { Text } from 'react-native';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx } from "react/jsx-runtime";
const Small = /*#__PURE__*/forwardRef(({
  text,
  weight = 'light',
  color,
  variant = 's1',
  align = 'left',
  textDecorationLine,
  fontStyle = 'normal',
  style: styleOverride,
  fontSize,
  ...props
}, ref) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  color = color || theme.adaptbyte.colors.shade.black;
  return /*#__PURE__*/_jsx(Text, {
    ref: ref,
    style: [styles[variant], {
      fontFamily: theme.adaptbyte.font?.[fontStyle]?.[weight],
      color,
      textAlign: align,
      textDecorationLine,
      fontStyle
    }, fontSize ? {
      fontSize
    } : undefined, styleOverride],
    ...props,
    children: text
  });
});
const stylesheet = createStyleSheet(theme => ({
  /**
   * Variants
   */
  s1: theme.adaptbyte.typography.small.s1,
  s2: theme.adaptbyte.typography.small.s2,
  s3: theme.adaptbyte.typography.small.s3,
  undefined: {}
}));
export default Small;
//# sourceMappingURL=Small.js.map