"use strict";

import React from 'react';
import { TouchableOpacity } from 'react-native';
import Icon from 'react-native-vector-icons/FontAwesome5';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
const Checkbox = ({
  isChecked,
  customCheckedIcon,
  width = 18,
  height = 18,
  exCheckedStyle,
  exUnCheckedStyle,
  activeBgColor,
  ...props
}) => {
  const {
    theme,
    styles
  } = useStyles(stylesheet);
  width = width || theme.adaptbyte.length.length_18;
  height = height || theme.adaptbyte.length.length_18;
  activeBgColor = activeBgColor || theme.adaptbyte.colors.button.primary;
  return /*#__PURE__*/_jsx(_Fragment, {
    children: isChecked ? /*#__PURE__*/_jsx(TouchableOpacity, {
      style: [styles.container, styles.checked, {
        width,
        height,
        backgroundColor: activeBgColor
      }, exCheckedStyle],
      ...props,
      children: customCheckedIcon ? customCheckedIcon : /*#__PURE__*/_jsx(Icon, {
        name: "check",
        size: 12,
        color: theme.adaptbyte.colors.shade.white
      })
    }) : /*#__PURE__*/_jsx(TouchableOpacity, {
      style: [styles.container, styles.unChecked, {
        width,
        height
      }, exUnCheckedStyle],
      ...props
    })
  });
};
const stylesheet = createStyleSheet(theme => ({
  container: {
    borderRadius: 5
  },
  checked: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  unChecked: {
    backgroundColor: theme.adaptbyte.colors.primaryWhiteHex,
    borderColor: theme.adaptbyte.colors.grayBorder,
    borderWidth: 1
  }
}));
export default Checkbox;
//# sourceMappingURL=Checkbox.js.map