"use strict";

import React from 'react';
import { View, Modal, KeyboardAvoidingView, TouchableWithoutFeedback } from 'react-native';
import { BORDERRADIUS, SPACING } from "../../../assets/theme.js";
import { Platform } from 'react-native';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx } from "react/jsx-runtime";
const PopupModal = ({
  isVisible = false,
  usingKeyboardAvoidingView = false,
  children,
  width = 343,
  padding = SPACING.space_16,
  backgroundColor,
  styleModal,
  styleModalView,
  borderRadius = BORDERRADIUS.radius_16,
  onBackdropPress
}) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  backgroundColor = backgroundColor ?? theme.adaptbyte.colors.primaryWhiteHex;
  return /*#__PURE__*/_jsx(Modal, {
    animationType: "slide",
    transparent: true,
    visible: isVisible,
    children: /*#__PURE__*/_jsx(TouchableWithoutFeedback, {
      onPress: typeof onBackdropPress === 'function' ? onBackdropPress : undefined,
      children: /*#__PURE__*/_jsx(View, {
        style: [styles.modalContainer, styleModal],
        children: usingKeyboardAvoidingView ? /*#__PURE__*/_jsx(KeyboardAvoidingView, {
          behavior: Platform.OS === 'ios' ? 'padding' : 'height',
          keyboardVerticalOffset: 0 // Use the offset prop
          ,
          children: /*#__PURE__*/_jsx(View, {
            style: [styles.modalView, {
              width,
              padding,
              backgroundColor,
              borderRadius
            }, styleModalView],
            children: /*#__PURE__*/_jsx(View, {
              style: {
                width: '100%'
              },
              children: children
            })
          })
        }) : /*#__PURE__*/_jsx(View, {
          style: [styles.modalView, {
            width,
            padding,
            backgroundColor,
            borderRadius
          }, styleModalView],
          children: /*#__PURE__*/_jsx(View, {
            style: {
              width: '100%'
            },
            children: children
          })
        })
      })
    })
  });
};

/**
 * Styles
 */
const stylesheet = createStyleSheet(theme => ({
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.adaptbyte.colors.popupBackgroundRGBA
  },
  modalView: {
    alignItems: 'center',
    justifyContent: 'center'
  }
}));

/**
 * Export
 */
export default PopupModal;
//# sourceMappingURL=PopupModal.js.map