"use strict";

import { useState } from 'react';
import { Calendar } from 'react-native-calendars';
import { createStyleSheet, useStyles } from 'react-native-unistyles';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
const CalendarPicker = ({
  dateValue,
  onDateChange,
  minDate,
  ...props
}) => {
  const {
    styles,
    theme
  } = useStyles(stylesheet);
  const [selectedDate, setSelectedDate] = useState(dateValue);
  const handleDayPress = day => {
    const date = day.dateString;
    setSelectedDate(date);
    onDateChange && onDateChange(date); // Notify the parent component of the selected date
  };
  return /*#__PURE__*/_jsx(_Fragment, {
    children: /*#__PURE__*/_jsx(Calendar, {
      style: styles.container,
      onDayPress: handleDayPress,
      markingType: 'custom',
      minDate: minDate,
      theme: {
        textDayHeaderFontSize: 14,
        textDayHeaderFontWeight: '700',
        textMonthFontWeight: '700',
        dayTextColor: '#030303',
        arrowColor: '#030303'
      },
      markedDates: {
        [selectedDate]: {
          customStyles: {
            container: {
              backgroundColor: theme.adaptbyte.colors.primary._100
            },
            text: {
              color: theme.adaptbyte.colors.primary._500,
              fontFamily: theme.adaptbyte.font.normal.bold
            }
          }
        }
      },
      hideExtraDays: true,
      ...props
    })
  });
};
const stylesheet = createStyleSheet(() => ({
  container: {
    marginHorizontal: -15
  }
}));
export default CalendarPicker;
//# sourceMappingURL=CalendarPicker.js.map