import type { ReactNode } from 'react';
import type { StyleProp, ViewStyle } from 'react-native';
import type { ColorValue, StatusBarStyle } from 'react-native';
import type { Edges, SafeAreaViewProps } from 'react-native-safe-area-context';
import type { HeadingProps } from './text.interfaces';
export interface HeaderProps {
    headerMiddle?: React.ReactNode | string;
    headerText?: string;
    underline?: boolean;
    btnBackColor?: ColorValue;
    onBackPress?: () => void;
    style?: StyleProp<ViewStyle>;
    rightContent?: ReactNode;
    titleConfig?: Partial<HeadingProps>;
}
export interface ContainerProps extends SafeAreaViewProps {
    barStyle?: StatusBarStyle;
    barBackgroundColor?: ColorValue;
    backgroundColor?: ColorValue;
    FooterComponent?: React.FC | ReactNode;
    edges?: Edges;
    isKeyboardAvoiding?: boolean;
    barHidden?: boolean;
    headerConfig?: Partial<HeaderProps>;
    exContentStyle?: StyleProp<ViewStyle>;
    isHeader?: boolean;
}
//# sourceMappingURL=templates.interface.d.ts.map