export declare const HEIGHT_WINDOW: number;
export declare const WIDTH_WINDOW: number;
export declare const STATUS_BAR_HEIGHT: number;
export declare const FONT: {
    normal: {
        light: string;
        regular: string;
        medium: string;
        bold: string;
        extrabold: string;
    };
    italic: {
        light: string;
        regular: string;
        medium: string;
        bold: string;
        extrabold: string;
    };
};
interface Spacing {
    space_4: number;
    space_5: number;
    space_8: number;
    space_10: number;
    space_12: number;
    space_16: number;
    space_17: number;
    space_18: number;
    space_20: number;
    space_24: number;
    space_30: number;
    space_32: number;
    space_38: number;
    space_40: number;
    space_48: number;
    space_56: number;
    space_60: number;
    space_64: number;
    space_72: number;
    space_80: number;
    space_88: number;
    space_96: number;
    space_104: number;
    space_112: number;
    space_120: number;
    space_128: number;
    space_136: number;
    space_144: number;
    space_152: number;
    space_160: number;
    space_168: number;
    space_176: number;
    space_184: number;
    space_192: number;
    space_200: number;
    space_208: number;
    space_216: number;
    space_224: number;
    space_232: number;
    space_240: number;
    space_248: number;
    space_256: number;
    space_264: number;
    space_272: number;
    space_280: number;
    space_288: number;
    space_296: number;
    space_304: number;
    space_312: number;
    space_320: number;
    space_328: number;
    space_336: number;
    space_344: number;
    space_352: number;
    space_360: number;
    space_368: number;
    space_376: number;
    space_384: number;
    space_392: number;
    space_400: number;
    container: {
        space_horizontal: number;
        space_top: number;
        space_bottom: number;
    };
}
export declare const SPACING: Spacing;
interface ZIndex {
    zIndex_1: number;
    zIndex_10: number;
}
export declare const Z_INDEX: ZIndex;
interface Color {
    primaryRedHex: string;
    primaryOrangeHex: string;
    primaryBlackHex: string;
    primaryDarkGreyHex: string;
    secondaryDarkGreyHex: string;
    primaryGreyHex: string;
    secondaryGreyHex: string;
    primaryLightGreyHex: string;
    secondaryLightGreyHex: string;
    primaryWhiteHex: string;
    primaryBlackRGBA: string;
    secondaryBlackRGBA: string;
    darkGreenHex: string;
    buttonColorHex: string;
    floatingInputBackground: string;
    primaryBorderColor: string;
    readMoreColor: string;
    grayBorder: string;
    typographyDefault: string;
    divider: string;
    informScreenBackground: string;
    richBlack: string;
    popupBackgroundRGBA: string;
    /**
     * System Design: Colours
     */
    /**
     * Primary
     */
    primary: {
        _900: string;
        _800: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _300: string;
        _200: string;
        _100: string;
        _50: string;
    };
    /**
     * Secondary
     */
    secondary: {
        blue500: string;
        greenLeaf500: string;
        lightGreen500: string;
        midBlue500: string;
        lightBlue500: string;
    };
    /**
     * Gradient
     */
    gradient: {
        blueMartini: string;
        greenOcean: string;
        goldZilla: string;
    };
    /**
     * Grayscale
     */
    grayscale: {
        _900: string;
        _800: string;
        _703: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _450: string;
        _300: string;
        _211: string;
        _200: string;
        _100: string;
        _50: string;
    };
    /**
     * Shade
     */
    shade: {
        black: string;
        white: string;
    };
    /**
     * Shades
     */
    shades: {
        _0: string;
        _100: string;
    };
    /**
     * Info
     */
    info: {
        _900: string;
        _800: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _300: string;
        _200: string;
        _100: string;
        _50: string;
    };
    /**
     * Success
     */
    success: {
        _900: string;
        _800: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _300: string;
        _200: string;
        _100: string;
        _50: string;
    };
    /**
     * Warning
     */
    warning: {
        _900: string;
        _800: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _300: string;
        _200: string;
        _100: string;
        _50: string;
    };
    /**
     * Error
     */
    error: {
        _900: string;
        _800: string;
        _700: string;
        _600: string;
        _500: string;
        _400: string;
        _300: string;
        _200: string;
        _100: string;
        _50: string;
    };
    button: {
        primary: string;
        linearGradient: {
            color1: string;
            color2: string;
        };
        hover: string;
        pressed: string;
        disabled: string;
        textDisabled: string;
        textNormal: string;
    };
    input: {
        transparent: {
            borderColor: string;
            backgroundColor: string;
            labelColor: string;
            textColor: string;
            errorBorderColor: string;
            errorBackgroundColor: string;
            disabledTextColor: string;
        };
        primary: {
            borderColor: string;
            backgroundColor: string;
            labelColor: string;
            textColor: string;
            errorBorderColor: string;
            errorBackgroundColor: string;
            disabledTextColor: string;
        };
        secondary: {
            borderColor: string;
            backgroundColor: string;
            labelColor: string;
            textColor: string;
            errorBorderColor: string;
            errorBackgroundColor: string;
            disabledTextColor: string;
        };
    };
    link: {
        primary: string;
        disabled: string;
    };
    danger: string;
    lightDanger: string;
}
type TypographyStyle = {
    fontSize: number;
    lineHeight?: number;
};
export type TypographyDesignSytemType = {
    display: {
        '01': TypographyStyle;
        '02': TypographyStyle;
    };
    heading: {
        'h1': TypographyStyle;
        'h1-small': TypographyStyle;
        'h2': TypographyStyle;
        'h2-small': TypographyStyle;
        'h3': TypographyStyle;
        'h3-small': TypographyStyle;
        'h4': TypographyStyle;
        'h4-small': TypographyStyle;
        'h5': TypographyStyle;
        'h5-small': TypographyStyle;
        'h6': TypographyStyle;
        'h6-small': TypographyStyle;
    };
    paragraph: {
        'text-00': TypographyStyle;
        'text-01': TypographyStyle;
        'text-02': TypographyStyle;
        'text-03': TypographyStyle;
        'text-Subheading': TypographyStyle;
        'text-Caption': TypographyStyle;
        'text-Footer': TypographyStyle;
        'text-Tags': TypographyStyle;
    };
    small: {
        s1: TypographyStyle;
        s2: TypographyStyle;
        s3: TypographyStyle;
    };
};
export declare const COLORS: Color;
export declare const DARK_COLORS: Color;
interface FontFamily {
    PlusJakartaSans_black: string;
    PlusJakartaSans_bold: string;
    PlusJakartaSans_extrabold: string;
    PlusJakartaSans_extralight: string;
    PlusJakartaSans_light: string;
    PlusJakartaSans_medium: string;
    PlusJakartaSans_regular: string;
    PlusJakartaSans_semibold: string;
    PlusJakartaSans_thin: string;
}
export declare const FONTFAMILY: FontFamily;
interface BorderRadius {
    radius_2: number;
    radius_4: number;
    radius_6: number;
    radius_8: number;
    radius_10: number;
    radius_12: number;
    radius_14: number;
    radius_16: number;
    radius_18: number;
    radius_20: number;
    radius_22: number;
    radius_24: number;
    radius_26: number;
    radius_28: number;
    radius_30: number;
    radius_32: number;
    radius_34: number;
    radius_36: number;
    radius_38: number;
    radius_40: number;
    radius_42: number;
    radius_44: number;
    radius_46: number;
    radius_48: number;
    radius_50: number;
    radius_52: number;
    radius_54: number;
    radius_56: number;
    radius_58: number;
    radius_60: number;
    radius_62: number;
}
export declare const BORDERRADIUS: BorderRadius;
interface Length {
    length_2: number;
    length_4: number;
    length_6: number;
    length_8: number;
    length_10: number;
    length_12: number;
    length_14: number;
    length_16: number;
    length_18: number;
    length_20: number;
    length_22: number;
    length_24: number;
    length_25: number;
    length_26: number;
    length_28: number;
    length_30: number;
    length_32: number;
    length_34: number;
    length_36: number;
    length_38: number;
    length_40: number;
    length_42: number;
    length_44: number;
    length_46: number;
    length_48: number;
    length_50: number;
    length_52: number;
    length_54: number;
    length_56: number;
    length_57: number;
    length_58: number;
    length_60: number;
    length_62: number;
    length_64: number;
    length_66: number;
    length_68: number;
    length_70: number;
    length_72: number;
    length_74: number;
    length_76: number;
    length_78: number;
    length_80: number;
    length_82: number;
    length_84: number;
    length_86: number;
    length_88: number;
    length_90: number;
    length_92: number;
    length_94: number;
    length_96: number;
    length_98: number;
    length_100: number;
    length_102: number;
    length_104: number;
    length_106: number;
    length_108: number;
    length_110: number;
    length_112: number;
    length_114: number;
    length_116: number;
    length_118: number;
    length_120: number;
    length_122: number;
    length_124: number;
    length_126: number;
    length_128: number;
    length_130: number;
    length_132: number;
    length_134: number;
    length_136: number;
    length_138: number;
    length_140: number;
    length_160: number;
    length_180: number;
    length_182: number;
    length_184: number;
    length_186: number;
    length_188: number;
    length_190: number;
    length_192: number;
    length_194: number;
    length_196: number;
    length_198: number;
    length_200: number;
    length_202: number;
    length_204: number;
    length_206: number;
    length_208: number;
    length_210: number;
    length_212: number;
    length_214: number;
    length_216: number;
    length_218: number;
    length_220: number;
    length_222: number;
    length_224: number;
    length_226: number;
    length_228: number;
    length_230: number;
    length_232: number;
    length_234: number;
    length_236: number;
    length_238: number;
    length_240: number;
    length_242: number;
    length_244: number;
    length_246: number;
    length_248: number;
    length_250: number;
    length_252: number;
    length_254: number;
    length_256: number;
    length_258: number;
    length_260: number;
    length_262: number;
    length_264: number;
    length_266: number;
    length_268: number;
    length_270: number;
    length_272: number;
    length_274: number;
    length_276: number;
    length_278: number;
    length_280: number;
    length_282: number;
    length_284: number;
    length_286: number;
    length_288: number;
    length_290: number;
    length_292: number;
    length_294: number;
    length_296: number;
    length_298: number;
    length_300: number;
    length_302: number;
    length_304: number;
    length_306: number;
    length_308: number;
    length_310: number;
    length_312: number;
    length_314: number;
    length_316: number;
    length_318: number;
    length_320: number;
    length_322: number;
    length_324: number;
    length_326: number;
    length_328: number;
    length_330: number;
    length_332: number;
    length_334: number;
    length_336: number;
    length_338: number;
    length_340: number;
    length_342: number;
    length_344: number;
    length_346: number;
    length_348: number;
    length_350: number;
}
export declare const LENGTH: Length;
interface Duration {
    duration_100: number;
    duration_200: number;
    duration_300: number;
    duration_400: number;
    duration_500: number;
    duration_600: number;
    duration_700: number;
    duration_800: number;
    duration_900: number;
    duration_1000: number;
}
export declare const DURATION: Duration;
export declare const BREAKPOINTS: {
    readonly xs: 0;
    readonly sm: 576;
    readonly md: 768;
    readonly lg: 992;
    readonly xl: 1200;
};
export declare const TYPOGRAPHY: TypographyDesignSytemType;
export declare const LIGHT_THEME: {
    readonly adaptbyte: {
        readonly colors: Color;
        readonly font: {
            normal: {
                light: string;
                regular: string;
                medium: string;
                bold: string;
                extrabold: string;
            };
            italic: {
                light: string;
                regular: string;
                medium: string;
                bold: string;
                extrabold: string;
            };
        };
        readonly typography: TypographyDesignSytemType;
        readonly length: Length;
        readonly borderRadius: BorderRadius;
        readonly spacing: Spacing;
        readonly duration: Duration;
        readonly dimension: {
            readonly height: number;
            readonly width: number;
        };
    };
};
export declare const DARK_THEME: {
    readonly adaptbyte: {
        readonly colors: Color;
        readonly font: {
            normal: {
                light: string;
                regular: string;
                medium: string;
                bold: string;
                extrabold: string;
            };
            italic: {
                light: string;
                regular: string;
                medium: string;
                bold: string;
                extrabold: string;
            };
        };
        readonly typography: TypographyDesignSytemType;
        readonly length: Length;
        readonly borderRadius: BorderRadius;
        readonly spacing: Spacing;
        readonly duration: Duration;
        readonly dimension: {
            readonly height: number;
            readonly width: number;
        };
    };
};
export {};
//# sourceMappingURL=theme.d.ts.map