import { type UnistylesTheme } from 'react-native-unistyles';
export declare const inputVariantStyle: (theme: UnistylesTheme) => {
    transparent: {
        container: {
            borderColor: string;
            borderWidth: number;
            backgroundColor: string;
            borderRadius: number;
        };
        input: {
            color: string;
        };
        label: {
            color: string;
        };
        errorContainer: {
            borderColor: string;
            backgroundColor: string;
        };
        errorDisabledContainer: {
            borderColor: string;
        };
        disabledContainer: {};
        disabledInput: {
            color: string;
        };
    };
    primary: {
        container: {
            borderColor: string;
            backgroundColor: string;
            borderWidth: number;
            borderRadius: number;
        };
        input: {
            color: string;
        };
        label: {
            color: string;
        };
        errorContainer: {
            borderColor: string;
            backgroundColor: string;
        };
        errorDisabledContainer: {
            borderColor: string;
            backgroundColor: string;
        };
        disabledContainer: {
            backgroundColor: string;
        };
        disabledInput: {
            color: string;
        };
    };
    secondary: {
        container: {
            borderColor: string;
            backgroundColor: string;
            borderWidth: number;
            borderRadius: number;
        };
        input: {
            color: string;
        };
        label: {
            color: string;
        };
        errorContainer: {
            borderColor: string;
            backgroundColor: string;
        };
        errorDisabledContainer: {
            backgroundColor: string;
        };
        disabledContainer: {
            backgroundColor: string;
        };
        disabledInput: {
            color: string;
        };
    };
};
export declare const inputStyles: (theme: UnistylesTheme) => {
    container: {
        paddingVertical: number;
        paddingHorizontal: number;
        height: number;
        overflow: "hidden";
        minHeight: number;
    };
    label: {
        position: "absolute";
        left: number;
        top: number;
        fontSize: number;
        lineHeight: number;
    };
    input: {
        padding: number;
        height: number;
        minHeight: number;
        lineHeight: number;
        fontSize: number;
    };
    innerInputContainer: {
        flexDirection: "row";
    };
    innerInput: {
        width: "95%";
        color: string;
    };
    iconContainer: {
        justifyContent: "center";
        alignItems: "flex-end";
    };
    helperContainer: {
        flexDirection: "row";
        paddingHorizontal: number;
        marginTop: number;
    };
    helperIcon: {
        justifyContent: "center";
        alignItems: "flex-start";
        marginRight: number;
    };
    helperMessage: {
        justifyContent: "center";
        alignItems: "flex-start";
    };
    leftIconContainer: {
        justifyContent: "center";
        alignItems: "center";
    };
    rightIconContainer: {
        justifyContent: "center";
        alignItems: "center";
    };
};
//# sourceMappingURL=Input.style.d.ts.map