import { type TouchableOpacityProps, type DimensionValue } from 'react-native';
import React from 'react';
/**
 * Popup List modal props
 */
interface PopupInfoProps {
    isVisible: boolean;
    keyName?: string;
    listData: any[];
    onSelect: (item: any) => void;
    onRequestClose: () => void;
    header?: React.ReactNode;
    bottom?: React.ReactNode;
    left?: (item: any) => React.ReactNode;
    right?: (item: any) => React.ReactNode;
    showCloseIcon?: boolean;
    onPressClose?: () => void;
    itemStyle?: TouchableOpacityProps['style'];
    height?: DimensionValue;
    width?: DimensionValue;
}
/**
 * Popup List Modal
 * @returns {*}
 */
declare const PopupList: ({ isVisible, keyName, listData, onSelect, onRequestClose, height, width, showCloseIcon, onPressClose, header, bottom, left, right, itemStyle, }: PopupInfoProps) => React.JSX.Element;
/**
 * Export
 */
export default PopupList;
//# sourceMappingURL=PopupList.d.ts.map