import React from 'react';
import type { ContainerProps } from '../../../interfaces/templates.interface';
/**
 * Container prop
 *
 * @interface ContainerProps
 * @typedef {ContainerProps}
 * @extends {SafeAreaViewProps}
 */
/**
 * Container
 *
 * @param {ContainerProps} param0
 * @param {*} param0.children
 * @param {*} param0.style
 * @param {StatusBarStyle} [param0.barStyle="default"]
 * @param {ColorValue} [param0.barBackgroundColor="transparent"]
 * @returns {*}
 */
declare const Container: ({ children, style, barStyle, barBackgroundColor, isKeyboardAvoiding, backgroundColor, edges, barHidden, FooterComponent, headerConfig, exContentStyle, isHeader, }: ContainerProps) => React.JSX.Element;
/**
 * Export container
 */
export default Container;
//# sourceMappingURL=Container.d.ts.map