import type { ColorValue, DimensionValue, FlexStyle, ViewStyle } from 'react-native';
import type { LinearGradientProps } from 'react-native-linear-gradient';
import type { ParagraphProps } from './text.interfaces';
export interface ButtonProps {
    title: string;
    leadingIcon?: React.ReactNode;
    trailingIcon?: React.ReactNode;
    isLoading?: boolean;
    loadingMessage?: string;
    variant?: 'large' | 'medium' | 'small';
    disabled?: boolean;
    mode?: 'normal' | 'outlined' | 'light' | 'red' | 'linear-gradient';
    width?: DimensionValue;
    height?: DimensionValue;
    colorText?: ColorValue;
    onPress?: () => void;
    spaceIcon?: boolean;
    flexGrow?: FlexStyle['flexGrow'];
    borderRadius?: number;
    backgroundColor?: ColorValue;
    fontSize?: number;
    style?: ViewStyle;
    contentStyle?: ViewStyle;
    linearGradientConfig?: Partial<LinearGradientProps>;
    textConfig?: Partial<ParagraphProps>;
    borderColor?: ColorValue;
    spaceIconH?: number;
    spaceIconW?: number;
    pressedStyle?: ViewStyle;
}
export interface TextButtonProps {
    title: string;
    weight?: 'bold' | 'medium';
    size?: 'small' | 'default';
    underline?: boolean;
    textColor?: string;
    disabled?: boolean;
    onPress?: () => void;
    style?: ViewStyle;
    fontSize?: number;
    textConfig?: Partial<ParagraphProps>;
}
//# sourceMappingURL=button.interfaces.d.ts.map