import type { TextProps, TextStyle } from 'react-native';
import type { WEIGHT } from '../utilities/Constants';
export interface TypographProps extends TextProps {
    text: string;
    weight?: WEIGHT;
    color?: string;
    fontSize?: number;
    align?: 'left' | 'right' | 'center';
    pressable?: boolean;
    textDecorationLine?: TextStyle['textDecorationLine'];
    fontStyle?: TextStyle['fontStyle'];
}
export interface HeadingProps extends TypographProps {
    variant?: 'h1' | 'h1-small' | 'h2' | 'h2-small' | 'h3' | 'h3-small' | 'h4' | 'h4-small' | 'h5' | 'h5-small' | 'h6' | 'h6-small';
}
export interface ParagraphProps extends TypographProps {
    variant?: '00' | '01' | '02' | '03' | 'Subheading' | 'Caption' | 'Footer' | 'Tags';
}
export interface SmallProps extends TypographProps {
    variant?: 's1' | 's2' | 's3';
}
export interface DisplayProps extends TypographProps {
    variant?: '01' | '02';
}
//# sourceMappingURL=text.interfaces.d.ts.map