import { View, type ViewProps } from 'react-native';
import { SPACING } from '../../../assets/theme';
import { createStyleSheet, useStyles } from 'react-native-unistyles';

interface DividerProps extends ViewProps {}

const Divider = ({ style }: DividerProps) => {
  const { styles } = useStyles(stylesheet);
  return <View style={[styles.divider, style]} />;
};

const stylesheet = createStyleSheet((theme) => ({
  divider: {
    borderBottomColor: theme.adaptbyte.colors.primaryWhiteHex, // Change color as per your preference
    borderBottomWidth: 0.5, // Change thickness as per your preference
    marginVertical: SPACING.space_8,
    width: 150,
    marginBottom: SPACING.space_8,
    margin: 8,
  },
}));

export default Divider;
