import type {
  ColorValue,
  DimensionValue,
  StyleProp,
  ViewProps,
  ViewStyle,
} from 'react-native';
import type { ParagraphProps } from './text.interfaces';
import type { ReactNode } from 'react';

export interface BottomSheetProps {
  isVisible: boolean | undefined;
  onClosePress?: () => void;
  title?: string;
  children?: React.ReactNode;
  variant?: 'closeButton' | 'normal' | 'plain';
  backgroundColor?: ColorValue;
  overlay?: boolean;
  usingKeyboardAvoidingView?: boolean;
  closeOnOverlayPress?: boolean;
  style?: StyleProp<ViewStyle>;
  titleConfig?: ParagraphProps;
  customCloseIcon?: ReactNode;
}

export interface PopupModalProps {
  isVisible: boolean;
  children?: React.ReactNode;
  width?: DimensionValue;
  padding?: DimensionValue;
  backgroundColor?: ColorValue;
  usingKeyboardAvoidingView?: boolean;
  styleModal?: ViewProps['style'];
  styleModalView?: ViewProps['style'];
  onBackdropPress?: () => void;
  borderRadius?: number;
}
